--Order 20015948.120

ALTER TABLE PRODUCTLISTPERCUSTOMER ADD (CHARGELOSSFORPOOL VARCHAR2(1) DEFAULT 'N' NOT NULL);

ALTER TABLE PRODUCTLISTPERCUSTOMER
  ADD CONSTRAINT YN_VALIDATIONFIELD124
  CHECK (CHARGELOSSFORPOOL IN ('Y', 'N'));

update productlistpercustomer plpc 
set plpc.chargelossforpool = 'Y'
where plpc.inventorybillingtype = 5
and plpc.billingmethod <> 2;
commit;